Package ru.bitel.bgbilling.modules.bill.server.bean

# Class OrganizationDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<Organization>
ru.bitel.bgbilling.modules.bill.server.bean.OrganizationDao

All Implemented Interfaces:
  `AutoCloseable`

public class OrganizationDao extends ru.bitel.common.dao.AbstractDao<Organization>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrganizationDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteOrganization(int organizationId)`
  `Organization`
  `getDefaultOrganization()`
  `protected Organization`
  `getFromRS(ResultSet rs)`
  `Organization`
  `getOrganization(int id)`
  `List<Organization>`
  `getOrganizationList()`
  `List<IdTitle>`
  `getOrganizationTitleList(Boolean inUse)`
  `void`
  `setDefaultOrganization(int organizationId)`
  `protected void`
  `updateImpl(Organization organization)`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, dropTemporaryTable, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, loadData, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, setPageRecordCount, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, sqlLimit`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrganizationDao

    public OrganizationDao(Connection con, int moduleId)

- ## Method Details

  - ### getOrganization

    public Organization getOrganization(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getOrganizationList

    public List<Organization> getOrganizationList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteOrganization

    public void deleteOrganization(int organizationId) throws Exception
    Throws:
      `Exception`

  - ### setDefaultOrganization

    public void setDefaultOrganization(int organizationId) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getDefaultOrganization

    public Organization getDefaultOrganization() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getOrganizationTitleList

    public List<IdTitle> getOrganizationTitleList(Boolean inUse) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getFromRS

    protected Organization getFromRS(ResultSet rs) throws SQLException, ru.bitel.bgbilling.common.BGException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<Organization>`
    Throws:
      `SQLException`
      `ru.bitel.bgbilling.common.BGException`

  - ### updateImpl

    protected void updateImpl(Organization organization) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<Organization>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`